<template>
  <div class="table-responsive h-100 m-0" style="overflow-x: visible">
    <table class="table card-table table-vcenter datatable small">
      <tbody class="hover-table">
        <tr class="clickable-row">
          <td class="m-0 p-0" style="width: 360px">
            <div
              v-b-tooltip.hover.top="{ variant: 'dark' }"
              class="text-reset d-inline-block strong w-100 pt-3 pb-3 mt-1 mb-1 ml-0"
              :title="ruleProperties.name"
            >
              <CircleCheckIcon
                v-if="ruleCtrl?.ruleData?.isDataCompleted"
                class="text-green icon-xss pl-0 pt-0 pb-0 pt-1 m-0"
              />
              <CircleOffIcon
                v-else
                class="text-pink icon-xss pl-0 pt-0 pb-0 pt-1 m-0"
              />
              <span>{{ ruleProperties.name }}</span>
            </div>
          </td>
          <td class="m-0 p-0" style="width: 420px; min-height: 39px">
            <component
              :is="ruleCtrl.ruleComponent"
              :rule-properties="ruleProperties"
              :value="ruleCtrl.ruleData"
              class="h-100 m-0 p-0"
              @input="ruleCtrl.updateRuleData"
            />
          </td>
          <td class="text-right m-0 pt-0 pb-0 pr-4 pl-0" style="width: 160px">
            <div class="align-text-top fit" style="width: 160px">
              <QueryFactoryRuleSlotActions
                :rule-properties="ruleProperties"
                :disabled="false"
                :update-value="ruleCtrl.updateRuleData"
              />
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</template>

<script>
import QueryFactoryRuleSlotActions from './QueryFactoryRuleSlotActions.vue';
export default {
  components: {
    QueryFactoryRuleSlotActions,
  },
  props: {
    rules: {
      type: Array,
      default: () => {},
    },
    ruleCtrl: {
      type: Object,
      default: () => {},
    },
  },
  computed: {
    ruleProperties() {
      return this.rules.find(
        (r) => r.identifier === this.ruleCtrl.ruleIdentifier
      );
    },
  },
  methods: {
    updateValue() {},
    isRuleDisabled() {
      return false;
    },
  },
};
</script>
